<template>
  <md-toolbar class="main-navigation" md-elevation="1">
    <!-- <img src="@/assets/logo-APPsession.png" alt="Avatar" /> -->
    <md-button
      class="md-raised md-primary"
      v-if="isLoggedIn"
      @click="toggleShowModalAddPost('addPost')"
      to
    >Add post</md-button>
    <md-button class="mr-primary" to="/">Home</md-button>
    <md-button v-if="!isLoggedIn" class="mr-primary" to="/login">Login</md-button>
    <md-button v-if="!isLoggedIn" class="mr-primary" to="/register">Register</md-button>
    <md-button v-if="isLoggedIn" class="mr-primary" to="/profile">Profile</md-button>
    <md-button
      v-if="isLoggedIn && (user.userRole === 'ADMIN')"
      class="mr-primary"
      to="/admin-panel"
    >Admin Panel</md-button>
    <md-button v-if="isLoggedIn" @click.prevent="logoutUser" to class="mr-primary">Logout</md-button>
  </md-toolbar>
</template>

<script>
import { mapMutations, mapActions, mapGetters } from "vuex";

export default {
  computed: {
    ...mapGetters(["isLoggedIn", "user"])
  },
  methods: {
    ...mapActions(["logout"]),
    ...mapMutations(["toggleShowModal"]),

    toggleShowModalAddPost(action) {
      if (this.$router.currentRoute.name !== "home") {
        this.$router.push("/");
        setTimeout(() => this.toggleShowModal(action), 300);
      } else {
        this.toggleShowModal(action);
      }
    },

    logoutUser() {
      this.logout();
    }
  }
};
</script>
